Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

SAP Keys APIs

Fetching SAP Keys

search

Fetching SAP Keys

Use the get /v1/cckm/sap/keys API to fetch the list of SAP keys. The results can be filtered using the query parameters.

Syntax

curl -k '<IP>/api/v1/cckm/sap/keys' -H 'Authorization: Bearer AUTHTOKEN' --compressed

Request Parameters

Parameter Type Description
AUTHTOKEN string Authentication token.

Request Query Parameters

Parameter Type Description
id string Internal ID of the SAP key.
name string Name of the SAP key.
cloud_name string Cloud name of the SAP key.
origin string Origin of the SAP key.
type string Type of the SAP key.
size integer Size of the SAP key.
enabled boolean Whether the key is enabled. Specify true for enabled keys, false for disabled keys.
exportable boolean Whether the key is exportable. Specify true for an exportable key, false for non-exportable keys.
gone boolean Whether the key is deleted from SAP. Specify true for a deleted key, false for a key present on SAP.
tenant string SAP key tenant.
creator_name string Name of the SAP key creator.
creator_id string ID of the SAP key creator.
sap_application string Name of the SAP application.
sap_group_name string Name of the SAP key group.
totalVersions integer Total versions of the SAP key.
skip integer Number of records to skip. For example, if "skip":5 is specified, the first five records will not be displayed in the output.
limit integer Numbers of records to display. For example, if "limit":10 is specified, then the next 10 records (after skipping the number of records specified in the skip parameter) will be displayed in the output.
sort string Comma-delimited list of properties to sort the results.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/sap/keys?skip=0&limit=10&sort=updatedAt' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiI3ZjRlNmJkNi0wMzgzLTQ4MGMtYWZmZS0wYTQxNDgzZmVlNmUiLCJzdWIiOiJsb2NhbHxlNjM3NTVjOS01YzRhLTQ0NzUtOWI0Zi0wN2JjNzQxYjQ1MGEiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiMTliODM4MWQtZTU2Zi00Njg3LWE0NGItYjRmY2Q2YjIzYmYzIiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6Ijg0YjBjYjZmLWQ5ZmItNDFkZC1iMTdjLTI0NjViNzIyOTkzMiIsImlhdCI6MTYzNDUzMDk5OSwiZXhwIjoxNjM0NTMxMjk5fQ.tbBZJIihK_8gpLYHmLRWhGhoyU-V7y_99BH1Ny72oN0' --compressed

Example Response

{
    "skip":0,
    "limit":10,
    "total":1,
    "resources":[
        {
            "id":"d109deae-5ca7-421d-bf49-637e65c3bbcb",
            "uri":"kylo:kylo:cckm:sap-key:testsapkey1-38ae47c5-296f-4b24-9016-82212cd9360c",
            "account":"kylo:kylo:admin:accounts:kylo",
            "createdAt":"2021-10-18T04:24:18.88509Z",
            "updatedAt":"2021-10-18T05:48:26.754073Z",
            "cloud_name":"sap",
            "tenant":"thales-preprod",
            "sap_param":{
                "description":"",
                "enabled":true,
                "exportable":false,
                "groupId":"489ac34d-3e9c-4be3-8c1c-2c383bf31461",
                "sap_key_id":"d109deae-5ca7-421d-bf49-637e65c3bbcb",
                "keystoreContext":{
                    "customerHeld":false
                },
                "meta":{
                    "created":"2021-10-18T04:24:18Z",
                    "creatorId":"69f41156-5197-490d-aa5f-f1ffb0ab4e66",
                    "creatorName":"creator.name@xyz.com",
                    "imported":false,
                    "primaryVersion":2,
                    "totalVersions":3
                },
                "name":"TestSapKey1",
                "operations":[
                    "DECRYPT",
                    "ENCRYPT"
                ],
                "role":"UNSPECIFIED",
                "size":256,
                "type":"AES"
            },
            "cckm_group_name":"Gooey_1",
            "cckm_group_id":"901c5559-31d0-467e-ac3c-dd5000850085",
            "backup_blob":"",
            "gone":false,
            "origin":"native",
            "auto_rotate":false,
            "sap_application":"S4H",
            "sap_group_name":"Gooey_1",
            "Deleted":false
        }
    ]
}

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.